//---------------------------------------------------------------------------
#include <windows.h>

#pragma argsused

#include "../../TlenSources/plugin/plugin_struct.h"

HINSTANCE hInst;
TLENPLUGINFUNCTIONS *tlen_functions;

TLENPLUGININFO pluginInfo={
	sizeof(TLENPLUGININFO),
	"Nazwa pluginu",
        PLUGIN_API_VERSION,
	MAKE_DWORD_VERSION(1,2,3,4),
	"Opis pluginu",
	" Prawa autorskie",
	"Producent",
	"E@mail",
	"http://www",
	0,
	0,
	0,
	0
};

extern "C" __declspec(dllexport) TLENPLUGININFO* GetPluginInfo(DWORD TlenVersion);
extern "C" __declspec(dllexport) int LoadPlugin(TLENPLUGINFUNCTIONS *tlen_functions);
extern "C" __declspec(dllexport) int UnloadPlugin(void);

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void* lpReserved)
{
	hInst=hinst;
        return 1;
}

__declspec(dllexport) TLENPLUGININFO* GetPluginInfo(DWORD tlenVersion)
{
	return &pluginInfo;
}

__declspec(dllexport) int LoadPlugin(TLENPLUGINFUNCTIONS *functions)
{
	tlen_functions = functions;
	
	MessageBox(NULL, "Plugin zaadowany", "Prosty plugin - BCB", MB_OK);

	return 0;
}

__declspec(dllexport) int UnloadPlugin(void)
{
	MessageBox(NULL, "Plugin wyadowany", "Prosty plugin - BCB", MB_OK);

	return 0;
}

